package com.fs.watch.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备设置信息对象 device_setup
 *
 * @author fs
 * @date 2024-09-19
 */
public class WatchDeviceSetup extends BaseEntity
{
    private static final Long serialVersionUID = 1L;

    /** 绑定设备id */
    private String deviceId;

    /** 智慧医生 0:关闭 1:打开 */
    @Excel(name = "智慧医生 0:关闭 1:打开")
    private Integer smartDoctor;

    /** 久坐提醒 */
    @Excel(name = "久坐提醒")
    private String sedentary;

    /** 跌倒检测 0:关闭 1:打开 */
    @Excel(name = "跌倒检测 0:关闭 1:打开")
    private Integer fallcheck;

    /** 心脏健康 0:关闭 1:打开 */
    @Excel(name = "心脏健康 0:关闭 1:打开")
    private Integer heartHealth;

    /** 心率指导 */
    @Excel(name = "心率指导")
    private String hralarm;

    /** 血氧预警 */
    @Excel(name = "血氧预警")
    private String spo2alarm;

    /** 闹钟&日程 */
    @Excel(name = "闹钟&日程")
    private String alarmClock;

    /** 省电设置 */
    @Excel(name = "省电设置")
    private String power;

    /** 常用联系人 */
    @Excel(name = "常用联系人")
    private String phonebook;

    /** 日期与时间 */
    @Excel(name = "日期与时间")
    private String time;

    /** 翻腕亮屏 */
    @Excel(name = "翻腕亮屏")
    private String lcdgesture;

    /** 单位设置 */
    @Excel(name = "单位设置")
    private String unit;

    /** 手表模式 */
    @Excel(name = "手表模式")
    private String mode;

    /** 固件升级 */
    @Excel(name = "固件升级")
    private String version;

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }
    public void setSmartDoctor(Integer smartDoctor)
    {
        this.smartDoctor = smartDoctor;
    }

    public Integer getSmartDoctor()
    {
        return smartDoctor;
    }
    public void setSedentary(String sedentary)
    {
        this.sedentary = sedentary;
    }

    public String getSedentary()
    {
        return sedentary;
    }
    public void setFallcheck(Integer fallcheck)
    {
        this.fallcheck = fallcheck;
    }

    public Integer getFallcheck()
    {
        return fallcheck;
    }
    public void setHeartHealth(Integer heartHealth)
    {
        this.heartHealth = heartHealth;
    }

    public Integer getHeartHealth()
    {
        return heartHealth;
    }
    public void setHralarm(String hralarm)
    {
        this.hralarm = hralarm;
    }

    public String getHralarm()
    {
        return hralarm;
    }
    public void setSpo2alarm(String spo2alarm)
    {
        this.spo2alarm = spo2alarm;
    }

    public String getSpo2alarm()
    {
        return spo2alarm;
    }
    public void setAlarmClock(String alarmClock)
    {
        this.alarmClock = alarmClock;
    }

    public String getAlarmClock()
    {
        return alarmClock;
    }
    public void setPower(String power)
    {
        this.power = power;
    }

    public String getPower()
    {
        return power;
    }
    public void setPhonebook(String phonebook)
    {
        this.phonebook = phonebook;
    }

    public String getPhonebook()
    {
        return phonebook;
    }
    public void setTime(String time)
    {
        this.time = time;
    }

    public String getTime()
    {
        return time;
    }
    public void setLcdgesture(String lcdgesture)
    {
        this.lcdgesture = lcdgesture;
    }

    public String getLcdgesture()
    {
        return lcdgesture;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setMode(String mode)
    {
        this.mode = mode;
    }

    public String getMode()
    {
        return mode;
    }
    public void setVersion(String version)
    {
        this.version = version;
    }

    public String getVersion()
    {
        return version;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceId", getDeviceId())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("smartDoctor", getSmartDoctor())
            .append("sedentary", getSedentary())
            .append("fallcheck", getFallcheck())
            .append("heartHealth", getHeartHealth())
            .append("hralarm", getHralarm())
            .append("spo2alarm", getSpo2alarm())
            .append("alarmClock", getAlarmClock())
            .append("power", getPower())
            .append("phonebook", getPhonebook())
            .append("time", getTime())
            .append("lcdgesture", getLcdgesture())
            .append("unit", getUnit())
            .append("mode", getMode())
            .append("version", getVersion())
            .toString();
    }
}
